<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>

    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-4bw+/aepP/YC94hEpVNVgiZdgIC5+VKNBQNGCHeKRQN+PtmoHDEXuppvnDJzQIu9"
      crossorigin="anonymous"
    />
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-HwwvtgBNo3bZJJLYd8oVXjrBZt8cqVSpeBNS5n7C8IVInixGAoxmnlMuBnhbgrkm"
      crossorigin="anonymous"
    ></script>

    <link
      rel="stylesheet"
      href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css"
    />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>

    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Squada+One&display=swap"
      rel="stylesheet"
    />
    <link
      href="https://fonts.googleapis.com/css2?family=Inter&display=swap"
      rel="stylesheet"
    />

    <link href="https://fonts.cdnfonts.com/css/gilroy-bold" rel="stylesheet" />
    <link
      href="https://fonts.cdnfonts.com/css/sf-pro-display"
      rel="stylesheet"
    />
    <link
      href="https://fonts.googleapis.com/css2?family=ABeeZee&display=swap"
      rel="stylesheet"
    />
    <link
      href="https://fonts.googleapis.com/css2?family=Lexend+Deca&display=swap"
      rel="stylesheet"
    />
    <link
      href="https://fonts.googleapis.com/css2?family=Poppins&display=swap"
      rel="stylesheet"
    />
    <link
      href="https://fonts.googleapis.com/css2?family=ABeeZee&display=swap"
      rel="stylesheet"
    />

    <link rel="stylesheet" href="style.css" />
  </head>

  <body>
    <div
      class="header-section min-vh-100"
      style="background: var(--primary-green, #1ac073);"
    >
      <nav
        class="navbar navbar-expand-lg"
        style="background: var(--primary-green, #1ac073);"
      >
        <div class="container">
          <a class="navbar-brand what2eat" href="#">WHAT2EAT</a>
          <button
            class="navbar-toggler"
            type="button"
            data-bs-toggle="collapse"
            data-bs-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent"
            aria-expanded="false"
            aria-label="Toggle navigation"
          >
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mb-2 mb-lg-0 centering-margin-lr">
              <li class="nav-item mx-1">
                <a
                  class="nav-link active link-light"
                  aria-current="page"
                  href="#"
                  >Home</a
                >
              </li>
              <li class="nav-item mx-1">
                <a
                  class="nav-link active link-light"
                  aria-current="page"
                  href="#"
                  >About</a
                >
              </li>
              <li class="nav-item mx-1">
                <a
                  class="nav-link active link-light"
                  aria-current="page"
                  href="#"
                  >Menu</a
                >
              </li>
              <li class="nav-item mx-1">
                <a
                  class="nav-link active link-light"
                  aria-current="page"
                  href="#"
                  >Blog</a
                >
              </li>
              <li class="nav-item mx-1">
                <a
                  class="nav-link active link-light"
                  aria-current="page"
                  href="#"
                  >Contact</a
                >
              </li>
            </ul>
            <div class="d-flex">
              <img
                class="nav-bar-icon"
                style="margin-right: 1rem;"
                src="images/akar-icons_search.png"
                alt=""
              />
              <img
                id="img-shopping-bag"
                class="nav-bar-icon"
                src="images/akar-icons_shopping-bag.png"
                alt=""
              />
            </div>
          </div>
        </div>
      </nav>

      <div class="row">
        <div class="col-lg-6" style="padding-left: 6rem;">
          <div class="tittle">Authentic Home food in UK</div>
          <div class="sub-tittle">
            What2Eat is a courier service in which authentic home cook food is
            delivered to a customer.
          </div>
          <div
            class="input-group"
            style="margin-top: 40px; margin-bottom: 233px; max-width: 80%;"
          >
            <input
              type="text"
              class="form-control border-0"
              name="x"
              placeholder="Search food you love"
            />
            <span
              class="input-group-text bg-warning text-light border-0"
              id="addon-wrapping"
              >Search</span
            >
          </div>
        </div>
        <div class="col-lg-6">
          <div class="centering-flex" style="height: 100%;">
            <div class="bg-image"></div>
          </div>
        </div>
      </div>
    </div>

    <div class="ds-san-pham-section">
      <nav aria-label="breadcrumb" style="margin-bottom: 4rem;">
        <ol class="breadcrumb my-bread">
          <li class="breadcrumb-item" style="color: #1ac073;">Home</li>
          <li class="breadcrumb-item">Food</li>
        </ol>
      </nav>

      <div class="container p-0">
        <div class="welcome-container">
          <div class="welcome-foods">Foods</div>
          <div class="welcome-we-are">We are here to serve you, my lords!</div>
          <div class="short-line"></div>
        </div>

        <div class="row">
          <div class="col-md-3">
            <div class="slider-box">
              <div>
                <span class="price-span">Prices</span>
              </div>

              <div class="price-div">
                <div class="ranger-label">
                  <span>Ranger:</span>
                </div>
                <div class="price-label">
                  $ <span id="min-price">0</span>
                  <span class="seperator">-</span>
                  $ <span id="max-price">300</span>
                </div>
              </div>
              <div class="selector">
                <div class="price-slider">
                  <div
                    id="slider-range"
                    class="ui-slider ui-corner-all ui-slider-horizontal ui-widget ui-widget-content"
                  ></div>
                </div>
              </div>
            </div>

            <div class="rating-container" style="margin-bottom: 12rem;">
              <div class="pizza-info-rating">Rating</div>
              <div class="mb-1">
                <img src="images/Star.png" class="pi-star" />
                <img src="images/Star.png" class="pi-star" />
                <img src="images/Star.png" class="pi-star" />
                <img src="images/Star.png" class="pi-star" />
                <img src="images/Star.png" class="pi-star" />
                <label class="check-container">
                  <input type="checkbox" value="5" />
                  <span class="checkmark"></span>
                </label>
              </div>

              <div class="mb-1">
                <img src="images/Star.png" class="pi-star" />
                <img src="images/Star.png" class="pi-star" />
                <img src="images/Star.png" class="pi-star" />
                <img src="images/Star.png" class="pi-star" />
                <img src="images/Star-grey.png" class="pi-star" />
                <label class="check-container">
                  <input type="checkbox" value="4" />
                  <span class="checkmark"></span>
                </label>
              </div>

              <div class="mb-1">
                <img src="images/Star.png" class="pi-star" />
                <img src="images/Star.png" class="pi-star" />
                <img src="images/Star.png" class="pi-star" />
                <img src="images/Star-grey.png" class="pi-star" />
                <img src="images/Star-grey.png" class="pi-star" />
                <label class="check-container">
                  <input type="checkbox" value="3" />
                  <span class="checkmark"></span>
                </label>
              </div>

              <div class="mb-1">
                <img src="images/Star.png" class="pi-star" />
                <img src="images/Star.png" class="pi-star" />
                <img src="images/Star-grey.png" class="pi-star" />
                <img src="images/Star-grey.png" class="pi-star" />
                <img src="images/Star-grey.png" class="pi-star" />
                <label class="check-container">
                  <input type="checkbox" value="2" />
                  <span class="checkmark"></span>
                </label>
              </div>

              <div>
                <img src="images/Star.png" class="pi-star" />
                <img src="images/Star-grey.png" class="pi-star" />
                <img src="images/Star-grey.png" class="pi-star" />
                <img src="images/Star-grey.png" class="pi-star" />
                <img src="images/Star-grey.png" class="pi-star" />
                <label class="check-container">
                  <input type="checkbox" value="1" />
                  <span class="checkmark"></span>
                </label>
              </div>
            </div>
          </div>

          <!-- card container -->
          <div class="col-md-9">
            <div class="row" id="pizza-card-container"></div>

            <div class="pages centering-flex">
              <ul class="pagination m-0" id="page_container"></ul>
            </div>
          </div>
        </div>
      </div>

      <div class="footer">
        <div
          style="
            background: var(--primary-green, #1ac073);
            padding-bottom: 1rem;
          "
        >
          <div class="container">
            <nav
              class="navbar navbar-expand-lg"
              style="background: var(--primary-green, #1ac073);"
            >
              <div class="container">
                <a class="navbar-brand what2eat" href="#">WHAT2EAT</a>
                <button
                  class="navbar-toggler"
                  type="button"
                  data-bs-toggle="collapse"
                  data-bs-target="#navbarSupportedContent"
                  aria-controls="navbarSupportedContent"
                  aria-expanded="false"
                  aria-label="Toggle navigation"
                >
                  <span class="navbar-toggler-icon"></span>
                </button>
                <div
                  class="collapse navbar-collapse"
                  id="navbarSupportedContent"
                >
                  <ul class="navbar-nav mb-2 mb-lg-0 centering-margin-lr">
                    <li class="nav-item mx-1">
                      <a
                        class="nav-link active link-light"
                        aria-current="page"
                        href="#"
                        >Home</a
                      >
                    </li>
                    <li class="nav-item mx-1">
                      <a
                        class="nav-link active link-light"
                        aria-current="page"
                        href="#"
                        >About</a
                      >
                    </li>
                    <li class="nav-item mx-1">
                      <a
                        class="nav-link active link-light"
                        aria-current="page"
                        href="#"
                        >Menu</a
                      >
                    </li>
                    <li class="nav-item mx-1">
                      <a
                        class="nav-link active link-light"
                        aria-current="page"
                        href="#"
                        >Blog</a
                      >
                    </li>
                    <li class="nav-item mx-1">
                      <a
                        class="nav-link active link-light"
                        aria-current="page"
                        href="#"
                        >Contact</a
                      >
                    </li>
                  </ul>
                  <div class="d-flex">
                    <div
                      class="nav-bar-icon face-icon-container centering-flex nav-bar-icon"
                    >
                      <img
                        src="images/facebook-icon.png"
                        style="height: 15px;"
                        alt=""
                      />
                    </div>
                    <img
                      class="nav-bar-icon"
                      src="images/iconoir_footer2.png"
                      alt=""
                    />
                  </div>
                </div>
              </div>
            </nav>
            <div class="container">
              <div class="divider"></div>
            </div>
          </div>
          <div class="copyright text-center">Copyright @2021 What2Eat</div>
        </div>
      </div>
    </div>
  </body>
</html>

<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  var gTotalRecords = 8;
  var gPerpage = 9;
  var gTotalPages = Math.ceil(gTotalRecords / gPerpage);

  var gGioHang = [];
  const gFilterQueryParams = new URLSearchParams({
    _limit: gPerpage,
    _page: 0,
  });
  var gFilterQueryParamsString = gFilterQueryParams.toString();
  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
  $(document).ready(function () {
    $("#slider-range").slider({
      range: true,
      values: [0, 300],
      min: 0,
      max: 300,
      step: 1,
      slide: function (event, ui) {
        $("#min-price").html(ui.values[0]);
        $("#max-price").html(ui.values[1]);
      },
    });

    //Phân trang: Thực hiện xử lý hiển thị của trang 1
    makecall(0);

    //xử lý icon giỏ hàng
    var vGioHangString = localStorage.getItem("gioHang");
    if (vGioHangString != null) {
      gGioHang = JSON.parse(vGioHangString);
      if (gGioHang.length > 0) {
        //đổi icon shopping bag thành màu vàng
        $("#img-shopping-bag").attr(
          "src",
          "images/akar-icons_shopping-bag-yellow.png"
        );
      }
    }

    $(document).on("click", ".btn-add-to-cart", function () {
      onBtnAddToCartClick(this);
    });

    $(document).on("click", ".checkmark", function () {
      onInputCheckFilter(this);
    });
  });
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  //hàm thực thi khi nút + add to cart được ấn
  function onBtnAddToCartClick(paramElement) {
    var vId = $(paramElement).attr("id");
    if (gGioHang.includes(vId) == false) {
      gGioHang.push(vId);
      console.log(gGioHang);
      localStorage.setItem("gioHang", JSON.stringify(gGioHang));
      $("#img-shopping-bag").attr(
        "src",
        "images/akar-icons_shopping-bag-yellow.png"
      );
    }
  }

  //hàm thực thi khi nhấn checkbox Rating
  function onInputCheckFilter(paramElement) {
    var vIsChecked = $(paramElement).prev().prop("checked"); // mặc định là true
    var vRateValue = $(paramElement).prev().val();

    createpagination(0);

    //fetch data
    if (vIsChecked == false) {
      gFilterQueryParamsString = gFilterQueryParamsString.concat(
        `&rating=${vRateValue}`
      );
    } else {
      gFilterQueryParamsString = gFilterQueryParamsString.replace(
        `&rating=${vRateValue}`,
        ""
      );
    }

    $.ajax({
      type: "get",
      url:
        "https://food-ordering-fvo9.onrender.com/api/foods?" +
        gFilterQueryParamsString,
      dataType: "json",
      success: function (paramData) {
        console.log(paramData);
        hienThiCardPizza(paramData);
      },
      error: function (paramError) {
        console.log(paramError);
      },
    });
  }
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  function createpagination(vPagenum) {
    $("#page_container").html("");
    for (var bI = 0; bI < gTotalPages; bI++) {
      if (bI == vPagenum) {
        $("#page_container").append(
          "<li class='my-page-item curren-page' onclick='makecall(" +
            bI +
            ")'>" +
            (bI + 1) +
            "</li>"
        );
      } else {
        $("#page_container").append(
          "<li class='my-page-item' onclick='makecall(" +
            bI +
            ")'>" +
            (bI + 1) +
            "</li>"
        );
      }
    }
  }

  function fetch_data(gPerpage, vPagenum) {
    const vQueryParams = new URLSearchParams({
      _limit: gPerpage,
      _page: vPagenum,
    });

    $.ajax({
      type: "get",
      url:
        "https://food-ordering-fvo9.onrender.com/api/foods?" +
        vQueryParams.toString(),
      dataType: "json",
      success: function (paramData) {
        console.log(paramData);
        hienThiCardPizza(paramData);
      },
      error: function (paramError) {
        console.log(paramError);
      },
    });
  }

  function makecall(vPagenum) {
    // Hàm tạo thanh phân trang
    createpagination(vPagenum);

    // Hàm hiển thị dữ liệu dựa vào 2 tham số phân trang
    fetch_data(gPerpage, vPagenum);
  }

  //hàm hiển thị phân trang card pizza
  function hienThiCardPizza(paramData) {
    $("#pizza-card-container").html("");

    for (var bIndex = 0; bIndex < paramData.rows.length; bIndex++) {
      const bElement = paramData.rows[bIndex];

      // Với mỗi bản ghi sẽ tiến hành tạo một phần tử con để hiển thị
      $("#pizza-card-container").append(`
        <div class="col-lg-4 mb-5">
          <div
            class="card-img-top my-card-img"
            style="background-image: url('${bElement.imageUrl}');"
          ></div>
          <div class="card-body my-card-body">
            <div
              style="
                display: flex;
                justify-content: space-between;
                margin-top: 5px;
                margin-bottom: 16px;
              "
            >
              <div class="card-tittle">${bElement.name}</div>
              <div class="card-tittle">$${bElement.price}</div>
            </div>
            <div style="display: flex; justify-content: space-between;">
              <div style="display: flex;">
                <div class="card-rating-m">
                  <img
                    src="images/ant-design_star-filled.png"
                    style="width: 16px; height: 16px;"
                    alt=""
                  />
                  <div class="card-detail">${bElement.rating}</div>
                </div>
                <div class="card-detail card-rating">${bElement.time}</div>
              </div>
              <button class="btn-add-to-cart" id="${bElement.id}">
                <img
                  src="images/iconoir_add-to-cart.png"
                  style="width: 20px; height: 20px; display: block;"
                />
              </button>
            </div>
          </div>
        </div>
      `);
    }
  }
</script>
